//Mount Plate for Laser

LaserMountPlateThickness = 8;
HoleDiameter = 3.048;
HoleLength = 25;
HoleStandOff = 5;
Resolution = 360; //360 for print

BottomHoleLocation = 4;
MiddleHoleLocation = 48.5;
TopHoleLocation = 81.23;

LaserMountPlateWidth = 100.5;
difference(){
	linear_extrude(height = LaserMountPlateThickness, $fn = Resolution) import(file = "Laser Mount Plate Modified.dxf");
					
	translate ([-HoleStandOff,BottomHoleLocation,LaserMountPlateThickness/2]) rotate([0,90,0]) cylinder(d=HoleDiameter, h=HoleLength, $fn = Resolution);
	
	translate ([-HoleStandOff,MiddleHoleLocation,LaserMountPlateThickness/2]) rotate([0,90,0]) cylinder(d=HoleDiameter, h=HoleLength, $fn = Resolution);
	
	translate ([-HoleStandOff,TopHoleLocation,LaserMountPlateThickness/2]) rotate([0,90,0]) cylinder(d=HoleDiameter, h=HoleLength, $fn = Resolution);
	
	translate([LaserMountPlateWidth+HoleStandOff*2,0,0]) {
		translate ([-HoleStandOff,BottomHoleLocation,LaserMountPlateThickness/2]) rotate([0,-90,0]) cylinder(d=HoleDiameter, h=HoleLength, $fn = Resolution);
		
		translate ([-HoleStandOff,MiddleHoleLocation,LaserMountPlateThickness/2]) rotate([0,-90,0]) cylinder(d=HoleDiameter, h=HoleLength, $fn = Resolution);
		
		translate ([-HoleStandOff,TopHoleLocation,LaserMountPlateThickness/2]) rotate([0,-90,0]) cylinder(d=HoleDiameter, h=HoleLength, $fn = Resolution);
	}
}