//Side Walls For Z-Axis Mount Plate

BottomPlateThickness = 8;
BottomPlateWidth = 100.5;
BottomPlateHeight = 74;
BottomPlateYAxisOffset = 3;

SpindleSeatThickness = BottomPlateThickness + 6;
SpindleEnclosingPerimeter = SpindleSeatThickness + 3;

ScrewHoleDiameter = 3;
ScrewLength = 21;
ScrewHoleOffset = 1;
Resolution = 360;
SpindleMountOffsetFromYEqualZero = 3;

ZAxisMountHoleOne = 23;
ZAxisMountHoleTwo = 77.5;

SideMountHoleOne = 10;
SideMountHoleTwo = 60;

difference(){
	
	union(){
		linear_extrude(height = BottomPlateThickness, $fn = Resolution) import(file = "Spindle Bottom Plate.dxf", layer = "Object");
		
	//Add Raised Seat for Spindle
		linear_extrude(height = SpindleSeatThickness, $fn = Resolution) import(file = "Spindle Bottom Plate.dxf", layer = "InnerRaisedPortion");
		
	//Add Exterior Perimeter Around Spindle
		linear_extrude(height = SpindleEnclosingPerimeter, $fn = Resolution) import(file = "Spindle Bottom Plate.dxf", layer = "OuterRaisedPortion");
	}

//Make Z-Axis Mount Holes
	translate([ZAxisMountHoleOne,-SpindleMountOffsetFromYEqualZero-ScrewHoleOffset,BottomPlateThickness/2]) rotate([-90,0,0]) cylinder (d=ScrewHoleDiameter, h=ScrewLength, $fn=Resolution);
	translate([ZAxisMountHoleTwo,-SpindleMountOffsetFromYEqualZero-ScrewHoleOffset,BottomPlateThickness/2]) rotate([-90,0,0]) cylinder (d=ScrewHoleDiameter, h=ScrewLength, $fn=Resolution);

//Left & Right Side Plate Mount Holes
	//Left Side Screws
	translate([-ScrewHoleOffset,SideMountHoleOne,BottomPlateThickness/2]) rotate([0,90,0]) cylinder (d=ScrewHoleDiameter, h=ScrewLength, $fn=Resolution);
	translate([-ScrewHoleOffset,SideMountHoleTwo,BottomPlateThickness/2]) rotate([0,90,0]) cylinder (d=ScrewHoleDiameter, h=ScrewLength, $fn=Resolution);
	//Right Side Screws
	translate([BottomPlateWidth+ScrewHoleOffset,SideMountHoleOne,BottomPlateThickness/2]) rotate([0,-90,0]) cylinder (d=ScrewHoleDiameter, h=ScrewLength, $fn=Resolution);
	translate([BottomPlateWidth+ScrewHoleOffset,SideMountHoleTwo,BottomPlateThickness/2]) rotate([0,-90,0]) cylinder (d=ScrewHoleDiameter, h=ScrewLength, $fn=Resolution);
	
//Make Laser Housing Mount Holes
	translate([ZAxisMountHoleOne,ScrewHoleOffset+BottomPlateHeight-BottomPlateYAxisOffset,BottomPlateThickness/2]) rotate([90,0,0]) cylinder (d=ScrewHoleDiameter, h=ScrewLength, $fn=Resolution);
	translate([ZAxisMountHoleTwo,ScrewHoleOffset+BottomPlateHeight-BottomPlateYAxisOffset,BottomPlateThickness/2]) rotate([90,0,0]) cylinder (d=ScrewHoleDiameter, h=ScrewLength, $fn=Resolution);
	
}